Eclipse und PHP-Eclipse

Dieses Thema im Forum "Mac OS X Entwickler, Programmierer" wurde erstellt von thovan, 23.03.2006.

  1. thovan

    thovan Thread Starter MacUser Mitglied

    Beiträge:
    343
    Zustimmungen:
    0
    MacUser seit:
    03.11.2004
    Hat das schon jemand mit den aktuellen Versionen zum laufen bekommen.
    Nach der umständlichen Installation (musste die Konsole bemühen, da das aus der ZIP-Datei entpackte Verzeichnis vom Finder als ausführbares Package interpretiert wurde), bekomme ich beim Starten von Eclipse eine Fehlermeldung und folgenden Log-Eintrag:
     
  2. robin79

    robin79 MacUser Mitglied

    Beiträge:
    15
    Zustimmungen:
    1
    MacUser seit:
    13.12.2005
    hallo!
    ich habe eclipse 3.2 m5 mit dem aktuellsten phpeclipse zum laufen gebracht. ich habe allerdings den update-manager von eclipse verwendet. ohne den hatte ich die selbe fehlermeldung. bei anderen plugins habe ich die meldung auch schonmal bekommen. mit eclipse -clean von der kommando-zeile aus hat es dann trozdem geklappt. einen neustart später ging es dann auch wieder aus dem finder aufzurufen.

    ich hofffe, ich konnte helfen! ;-)
     
  3. thovan

    thovan Thread Starter MacUser Mitglied

    Beiträge:
    343
    Zustimmungen:
    0
    MacUser seit:
    03.11.2004
    Danke.

    Die Lösung (Installation über den Update-Manager) hatte ich auch schon gefunden, aber vergessen es zu posten.

    Trotzdem vielen Dank!!!!
     
  4. patri

    patri MacUser Mitglied

    Beiträge:
    6
    Zustimmungen:
    0
    MacUser seit:
    18.03.2006
    vielleicht könnt ihr mir weiterhelfen???

    ich komme damit gar nicht klar.. Eclipse wil nicht mal starten -.-"
     
  5. robin79

    robin79 MacUser Mitglied

    Beiträge:
    15
    Zustimmungen:
    1
    MacUser seit:
    13.12.2005
    Hast du irgendwelche Fehlermeldungen oder Logs? Was passiert, wenn du das Eclipse-Icon klickst?
     
  6. thovan

    thovan Thread Starter MacUser Mitglied

    Beiträge:
    343
    Zustimmungen:
    0
    MacUser seit:
    03.11.2004
    Was hast Du denn gemacht?

    Mein fehler, der zu den Meldungen des 1. Postings geführt hat war,

    Eclipse für den Mac runterzuladen,
    PHPEclipse runterzuladen, zu entpacken und die Dateien dann in das Eclipse-Directory zu kopieren und dabei existierende Dateien zu überschreiben.

    Richtig ist Eclipse zu installieren und dann dort per integriertem Update-Manager (sitz leider grade nicht am Mac sonst könnte ich Dir genau schreiben hinnter welchem Menüpunkt er sich verbirgt) PHPEclipse nachzuinstallieren.
     
  7. patri

    patri MacUser Mitglied

    Beiträge:
    6
    Zustimmungen:
    0
    MacUser seit:
    18.03.2006
    guuut, also hier mal ein wenig detaillierter ;-)

    Also, wenn ich Eclipse (3.1.2) starte, dann sehe ich das Logo und aufeinmal isser weg. und sagt mir, dass er dass er ein Errorlog gemacht hat.
    Hier das ErrorLOG
    Code:
    !SESSION 2006-04-18 21:42:50.846 -----------------------------------------------
    eclipse.buildId=M20060118-1600
    java.version=1.4.2_09
    java.vendor=Apple Computer, Inc.
    BootLoader constants: OS=macosx, ARCH=ppc, WS=carbon, NL=de_DE
    Framework arguments:  -keyring /Users/patri/.eclipse_keyring -showlocation
    Command-line arguments:  -os macosx -ws carbon -arch ppc -keyring /Users/patri/.eclipse_keyring -consoleLog -showlocation
    
    !ENTRY org.eclipse.osgi 2006-04-18 21:42:57.810
    !MESSAGE Application error
    !STACK 1
    java.lang.UnsatisfiedLinkError: /Users/patri/Desktop/eclipse/configuration/org.eclipse.osgi/bundles/63/1/.cp/libswt-pi-carbon-3139.jnilib: 
    	at java.lang.ClassLoader$NativeLibrary.load(Native Method)
    	at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1586)
    	at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1495)
    	at java.lang.Runtime.loadLibrary0(Runtime.java:788)
    	at java.lang.System.loadLibrary(System.java:834)
    	at org.eclipse.swt.internal.Library.loadLibrary(Library.java:123)
    	at org.eclipse.swt.internal.carbon.OS.<clinit>(OS.java:20)
    	at org.eclipse.swt.widgets.Display.createDisplay(Display.java:856)
    	at org.eclipse.swt.widgets.Display.create(Display.java:836)
    	at org.eclipse.swt.graphics.Device.<init>(Device.java:118)
    	at org.eclipse.swt.widgets.Display.<init>(Display.java:676)
    	at org.eclipse.swt.widgets.Display.<init>(Display.java:667)
    	at org.eclipse.ui.internal.Workbench.createDisplay(Workbench.java:394)
    	at org.eclipse.ui.PlatformUI.createDisplay(PlatformUI.java:155)
    	at org.eclipse.ui.internal.ide.IDEApplication.createDisplay(IDEApplication.java:128)
    	at org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:79)
    	at org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:226)
    	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:376)
    	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:163)
    	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
    	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    	at java.lang.reflect.Method.invoke(Method.java:324)
    	at org.eclipse.core.launcher.Main.invokeFramework(Main.java:334)
    	at org.eclipse.core.launcher.Main.basicRun(Main.java:278)
    	at org.eclipse.core.launcher.Main.run(Main.java:973)
    	at org.eclipse.core.launcher.Main.main(Main.java:948)
    !SESSION 2006-04-18 21:45:45.624 
    (... blabla hier geht weiter)
    
    so, nun habe ich bis jetzt nur Eclipse runtergeladen und noch nichts weiter gemacht. habe PHPEclipse noch nicht weiter dazugepackt oder ähnliches.

    Mein System is ein MacMini Core Solo mit MacOS 10.4.6
     
  8. arnd

    arnd MacUser Mitglied

    Beiträge:
    110
    Zustimmungen:
    0
    MacUser seit:
    29.01.2006
    Eclipse als UB für intel

    Nimm den neusten RC.
    In deinem Fall, nach heutigem Stand, 3.2RC1a
    http://download.eclipse.org/eclipse/downloads/index.php

    Damit geht das und deinem Intel =;-)

    Best!
    Arnd
     
Die Seite wird geladen...

Diese Seite empfehlen